Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use this page to quickly compare incoming webhook request body examples for transfer events.

Example payloads

Transfer fee quote is ready:
{
  "eventId": "<uuid>",
  "eventType": "payments.transfers.quoted",
  "timestamp": "2026-01-01T00:00:00Z",
  "data": {
    "createdAt": "2026-01-01T00:00:00Z",
    "expiresAt": "2026-01-01T00:15:00Z",
    "fees": [
      {
        "amount": "0.19",
        "asset": "usdc",
        "type": "network"
      }
    ],
    "source": {
      "accountId": "account_<uuid>",
      "asset": "usdc"
    },
    "sourceAmount": "100.19",
    "sourceAsset": "usdc",
    "status": "quoted",
    "target": {
      "address": "0x<address>",
      "asset": "usdc",
      "network": "ethereum"
    },
    "targetAmount": "100.00",
    "targetAsset": "usdc",
    "transferId": "transfer_<uuid>",
    "updatedAt": "2026-01-01T00:00:10Z"
  }
}
This page shows full incoming webhook request bodies (eventId, eventType, timestamp, data).See Transfers example payloads for source and target payload object examples.